package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.Sector;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.SectorDataModel;
import com.lightinit.hsdataplatform.model.admin.TreeModel;

import java.util.List;

/**
 * @author WangYao
 * @date 2018/7/7 14:12
 * @description 部门管理接口
 */
public interface ISectorMgrService {
    SectorDataModel queryOne(long id);
    List<TreeModel> queryTreeData();
    List<Sector> getAllSector();
    ResultState<Long> add(SectorDataModel inputModel);
    ResultState<Long> edit(SectorDataModel inputModel);
    ResultState<Long> delete(long id, Long deletedBy);
}
